Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.objectstyle.cayenne.access.types
Class UtilDateType

    java.lang.Object
      org.objectstyle.cayenne.access.types.AbstractType
          org.objectstyle.cayenne.access.types.UtilDateType

All Implemented Interfaces:
  ExtendedType

Direct Known Subclasses:
  OracleUtilDateType

    public class UtilDateType

extends AbstractType

Maps `java.util.Date` to any of the three database date/time types: TIME, DATE, TIMESTAMP.

Author:
  Andrus Adamchik

Constructor Summary
`UtilDateType()`

Method Summary
`protected java.lang.Object` | `convertToJdbcObject(java.lang.Object val, int type)`
`java.lang.String` | `getClassName()` Returns "java.util.Date".
`java.lang.Object` | `materializeObject(java.sql.CallableStatement cs, int index, int type)` Reads an object from a stored procedure OUT parameter, converting it to class returned by 'getClassName' method.
`java.lang.Object` | `materializeObject(java.sql.ResultSet rs, int index, int type)` Reads an object from JDBC ResultSet column, converting it to class returned by 'getClassName' method.
`void` | `setJdbcObject(java.sql.PreparedStatement st, java.lang.Object val, int pos, int type, int precision)` Calls "PreparedStatement.setObject(..)".
`boolean` | `validateProperty(java.lang.Object source, java.lang.String property, java.lang.Object value, DbAttribute dbAttribute, ValidationResult validationResult)` Always returns true indicating no validation failures.

Methods inherited from class org.objectstyle.cayenne.access.types.AbstractType
`toString, validateNull`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UtilDateType

    public UtilDateType()

Method Detail

### getClassName

    public java.lang.String getClassName()

  Returns "java.util.Date".

  Specified by:
    `getClassName` in interface `ExtendedType`
  Specified by:
    `getClassName` in class `AbstractType`

### validateProperty

    public boolean validateProperty(java.lang.Object source,
                                    java.lang.String property,
                                    java.lang.Object value,
                                    DbAttribute dbAttribute,
                                    ValidationResult validationResult)

  Always returns true indicating no validation failures. There is no date-specific validations at the moment.

  Specified by:
    `validateProperty` in interface `ExtendedType`
  Overrides:
    `validateProperty` in class `AbstractType`
  Since:
    1.1

### convertToJdbcObject

    protected java.lang.Object convertToJdbcObject(java.lang.Object val,
                                                   int type)
                                            throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### materializeObject

    public java.lang.Object materializeObject(java.sql.ResultSet rs,
                                              int index,
                                              int type)
                                       throws java.lang.Exception

  Description copied from interface: `ExtendedType`
  Reads an object from JDBC ResultSet column, converting it to class returned by 'getClassName' method.

  Specified by:
    `materializeObject` in interface `ExtendedType`
  Specified by:
    `materializeObject` in class `AbstractType`
  Throws:
    `java.lang.Exception` - if read error ocurred, or an object can't be converted to a target Java class.

### materializeObject

    public java.lang.Object materializeObject(java.sql.CallableStatement cs,
                                              int index,
                                              int type)
                                       throws java.lang.Exception

  Description copied from interface: `ExtendedType`
  Reads an object from a stored procedure OUT parameter, converting it to class returned by 'getClassName' method.

  Specified by:
    `materializeObject` in interface `ExtendedType`
  Specified by:
    `materializeObject` in class `AbstractType`
  Throws:
    `java.lang.Exception` - if read error ocurred, or an object can't be converted to a target Java class.

### setJdbcObject

    public void setJdbcObject(java.sql.PreparedStatement st,
                              java.lang.Object val,
                              int pos,
                              int type,
                              int precision)
                       throws java.lang.Exception

  Description copied from class: `AbstractType`
  Calls "PreparedStatement.setObject(..)". Some DbAdapters may need to override this behavior for at least some of the object types, as it doesn't work consistently across all JDBC drivers.

  Specified by:
    `setJdbcObject` in interface `ExtendedType`
  Overrides:
    `setJdbcObject` in class `AbstractType`
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2006 ObjectStyle.org All Rights Reserved.